---
title: "POST /blueprints/restore - Blueprints · RUAL Documentation"
description: "Restore a previously deleted blueprint"
canonical: https://docs.rual.nl/cluster/api/blueprints/blueprints-restore-post
language: en
---

# POST /blueprints/restore

Restore a previously deleted blueprint

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** optional | `string` | 'a23575f49d0af385314c1f02280163374297e018a692e5e...' | Blueprint GUID to restore |

```
{
  "success": true
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprints_create` | Required scope: blueprints_create |
